Loading...
Searching...
No Matches
Opm::GuideRateHandler< Scalar, IndexTraits > Class Template Reference

Handles computation and reporting of guide rates for wells and groups. More...

`#include <GuideRateHandler.hpp>`

## Classes

class | GuideRateDumper
| Responsible for formatting and printing guide rate information to logs. More...
class | UpdateGuideRates
| Computes and updates guide rate values for wells and groups. More...

## Public Member Functions

| GuideRateHandler (BlackoilWellModelGeneric< Scalar, IndexTraits > &well_model, const Schedule &schedule, const SummaryState &summary_state, const Parallel::Communication &comm)
DeferredLogger & | deferredLogger ()
void | debugDumpGuideRates (const int report_step_idx, const double sim_time)
| Dumps guide rate information to the logger in a readable format.
const Parallel::Communication & | getComm () const
void | setLogger (DeferredLogger *deferred_logger)
const Schedule & | schedule () const
void | updateGuideRates (const int report_step_idx, const double sim_time, const WellState< Scalar, IndexTraits > &well_state, GroupState< Scalar > &group_state)
| Updates guide rates for the current simulation step.
const BlackoilWellModelGeneric< Scalar, IndexTraits > & | wellModel () const

## Detailed Description

template<typename Scalar, typename IndexTraits>
class Opm::GuideRateHandler< Scalar, IndexTraits >

Handles computation and reporting of guide rates for wells and groups.

This class manages the update and dumping of guide rates, which are used to control and monitor the production and injection targets for wells and groups.

It integrates with the well model to compute guide rates and supports optional reservoir coupling to exchange guide rate information between master and slave models.

Template Parameters

  Scalar | The scalar type (e.g., float or double) used in computations.

## Member Function Documentation

## debugDumpGuideRates()

template<typename Scalar, typename IndexTraits>

void Opm::GuideRateHandler< Scalar, IndexTraits >::debugDumpGuideRates | ( | const int | report_step_idx,
|  | const double | sim_time )

Dumps guide rate information to the logger in a readable format.

Used mainly for debugging or inspection during simulation development.

Parameters

  report_step_idx | Index of the current report step.
  sim_time | Current simulation time.

## updateGuideRates()

template<typename Scalar, typename IndexTraits>

void Opm::GuideRateHandler< Scalar, IndexTraits >::updateGuideRates | ( | const int | report_step_idx,
|  | const double | sim_time,
|  | const WellState< Scalar, IndexTraits > & | well_state,
|  | GroupState< Scalar > & | group_state )

Updates guide rates for the current simulation step.

Parameters

  report_step_idx | Index of the current report step.
  sim_time | Simulation time at the current step.
  well_state | Well state object containing current well potentials.
  group_state | Group state object to update with computed guide rates.

The documentation for this class was generated from the following files:

- opm/simulators/wells/GuideRateHandler.hpp
- opm/simulators/wells/GuideRateHandler.cpp